2018-12-18 23:24 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000020Branch 0.2.1-FINALFeature Requestpublic2010-06-08 01:44
ReporterQuix0r 
Assigned ToQuix0r 
PrioritylowSeverityfeatureReproducibilityN/A
StatusassignedResolutionopen 
PlatformPHP5-LatestOSLinuxOS Version2.6
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version 
Summary0000020: Task-Übersicht komplett auf Filter basierend und Blöcke erlauben
DescriptionDie derzeitige Task-Übersicht ist nur in der "Extra-Übersicht" flexibel. Dies führt bei derzeit 51 Erweiterungen zu einer Unübersichtlichkeit der "Extra-Übersicht". Dies liegt daran, dass nur die Extra-Übersicht "flexibel" ist - wird derzeit in der Datei inc/libs/task_functions.php statisch eingebunden, wenn die entsprechende Erweiterung installiert ist - und der Rest statisch ist.

Ein Ansatzpunkt wäre hier, dass erstens das System komplett auf Blöcke umgestellt wird - damit mehr Übersichtsblöcke generiert werden können - und zweitens komplett auf Filter basiert.

Vorteile:
+ Da mehr Blöcke generiert werden können, wir die gesamte Admin-Willkommensseite übersichtlicher
+ Einige Erweiterungen haben sehr viele Links in der Übersichtsseite. Diese könnten dann einen eigenen Block haben.

Ideen:
- Es sollte ein Block-System entworfen werden, das auf das Filter-System aufbaut.
- Alternativ wären Sub-Filter, die an den Hauptfiltern "hängen". Dabei stellen die "Hauptfilter" die Blöcke dar, die Sub-Filter die jeweiligen Blockzeilen mit den anzuzeigenden Daten.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0000132

Quix0r (administrator)

Koennte schon etwas laenger dauern.
+Notes

-Issue History
Date Modified Username Field Change
2008-12-22 18:00 Quix0r New Issue
2008-12-22 18:00 Quix0r Status new => assigned
2008-12-22 18:00 Quix0r Assigned To => Quix0r
2008-12-22 18:01 Quix0r Projection none => major rework
2008-12-22 18:01 Quix0r Fixed in Version => 0.2.1-FINAL
2009-02-06 02:10 Quix0r Note Added: 0000132
2009-02-06 02:10 Quix0r ETA none => < 1 month
2009-02-06 02:10 Quix0r Build => SVN-HEAD
2009-02-06 02:10 Quix0r Description Updated
2009-08-06 14:09 Quix0r Product Version 0.2.1-FINAL =>
2009-08-06 14:09 Quix0r Fixed in Version 0.2.1-FINAL =>
2009-11-25 21:56 Quix0r Fixed in Version => 0.2.1-FINAL
2010-05-28 16:44 Quix0r Product Version => 0.2.1-FINAL
2010-06-08 01:44 Quix0r Fixed in Version 0.2.1-FINAL =>
+Issue History